[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# TParamFlag

Function or procedure parameter flags.

## Declaration

Source position: typinfo.pp line 89

`type TParamFlag = (`
`pfVar,` |  | Parameter is a var parameter (passed by reference)
`pfConst,` |  | Parameter is a const parameter (i.e. cannot be modified)
`pfArray,` |  | Parameter is an array parameter
`pfAddress,` |  | Parameter is passed by address
`pfReference,` |  | Parameter is passed by reference
`pfOut,` |  | Parameter is a string parameter
`pfConstRef,`
`pfHidden,`
`pfHigh,`
`pfSelf,`
`pfVmt,`
`pfResult`
`);`

## Description

TParamFlag describes a parameter.